Bug 150389 - gataxx does not quit when window is closed
Summary: gataxx does not quit when window is closed
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-games   
(Show other bugs)
Version: 3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-05 11:33 UTC by Sitsofe Wheeler
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: gnome-games-2.10.0-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-21 14:43:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Valgrind log showing double free (13.11 KB, text/plain)
2005-03-05 11:38 UTC, Sitsofe Wheeler
no flags Details
Valgrind log showing double free (13.11 KB, text/plain)
2005-03-05 11:41 UTC, Sitsofe Wheeler
no flags Details
Valgrind log showing double free (13.11 KB, text/plain)
2005-03-05 11:41 UTC, Sitsofe Wheeler
no flags Details
Valgrind log showing double free (13.11 KB, application/octet-stream)
2005-03-05 11:41 UTC, Sitsofe Wheeler
no flags Details

Description Sitsofe Wheeler 2005-03-05 11:33:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041009 Firefox/1.0

Description of problem:
Closing gataxx doesn't actually stop it running (it just makes the window go away). This lets gataxx effectively run forever (even after the user logs out of X).

(after launching from a terminal)
gataxx has a double free bug and the glibc detection code is catching it but not letting the program die.

Version-Release number of selected component (if applicable):
gnome-games-2.8.0-4

How reproducible:
Always

Steps to Reproduce:
1. Start a gnome-terminal .
2. Run gataxx .
3. Click the close button at the top right.
  

Actual Results:  *** glibc detected *** double free or corruption (!prev): 0x09783f98 ***

Expected Results:  gataxx to quit.

Additional info:

Valgrind log to come.

Comment 1 Sitsofe Wheeler 2005-03-05 11:38:35 UTC
Created attachment 111687 [details]
Valgrind log showing double free

Problem seems to be around gtkgridboard.c:218
==9430== Invalid free() / delete / delete[]
==9430==    at 0x1B902FB1: free (vg_replace_malloc.c:153)
==9430==    by 0x804CF9F: gtk_gridboard_destroy (gtkgridboard.c:218)
==9430==  Address 0x1BDD7A30 is 0 bytes inside a block of size 224 free'd
==9430==    at 0x1B902FB1: free (vg_replace_malloc.c:153)
==9430==    by 0x804CF9F: gtk_gridboard_destroy (gtkgridboard.c:218)

Comment 2 Sitsofe Wheeler 2005-03-05 11:41:38 UTC
Created attachment 111688 [details]
Valgrind log showing double free

Problem seems to be around gtkgridboard.c:218
==9430== Invalid free() / delete / delete[]
==9430==    at 0x1B902FB1: free (vg_replace_malloc.c:153)
==9430==    by 0x804CF9F: gtk_gridboard_destroy (gtkgridboard.c:218)
==9430==  Address 0x1BDD7A30 is 0 bytes inside a block of size 224 free'd
==9430==    at 0x1B902FB1: free (vg_replace_malloc.c:153)
==9430==    by 0x804CF9F: gtk_gridboard_destroy (gtkgridboard.c:218)

Comment 3 Sitsofe Wheeler 2005-03-05 11:41:48 UTC
Created attachment 111689 [details]
Valgrind log showing double free

Comment 4 Sitsofe Wheeler 2005-03-05 11:41:58 UTC
Created attachment 111690 [details]
Valgrind log showing double free

Comment 5 Sitsofe Wheeler 2005-03-05 11:44:22 UTC
Agh! I was getting internal errors from bugzilla which is why I submitted the
above again. I apologise for the duplicate entry.

Comment 6 Sitsofe Wheeler 2005-10-20 22:55:06 UTC
This appears to have been fixed in FC4's gnome-games-2.10.0-5

Comment 7 Ray Strode [halfline] 2005-10-21 14:43:41 UTC
Hi,
Great, thanks.


Note You need to log in before you can comment on or make changes to this bug.